Get a person

Retrieves details for a specific person including custom fields

Path Parameters
  • id
    Type: stringFormat: uuid
    required

    Person ID

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/people/{id}
curl https://beta-api.introzy.com/api/people/123e4567-e89b-12d3-a456-426614174000 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "success": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "email": "john@acme.com",
    "firstName": "John",
    "lastName": "Doe",
    "phoneNumber": "+1 555-123-4567",
    "address": "123 Main St, San Francisco, CA 94102",
    "latitude": 1,
    "longitude": 1,
    "companyId": "123e4567-e89b-12d3-a456-426614174000",
    "isConnector": true,
    "isSolutionProvider": true,
    "isFullUser": true,
    "customFields": {
      "cf_favorite_color": "blue",
      "cf_budget": 50000
    },
    "company": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Acme Inc",
      "industry": "string",
      "website": "string",
      "customFields": {}
    },
    "createdAt": "2026-05-20T14:22:03.090Z",
    "updatedAt": "2026-05-20T14:22:03.090Z"
  }
}